_RtpStream Struct Reference

## Data Fields

ortp_socket_t | socket
struct _RtpTransport * | tr
int | sockfamily
int | max_rq_size
int | time_jump
uint32_t | ts_jump
queue_t | rq
queue_t | tev_rq
mblk_t * | cached_mp
int | loc_port
struct sockaddr_in | rem_addr
int | rem_addrlen
void * | QoSHandle
unsigned long | QoSFlowID
JitterControl | jittctl
uint32_t | snd_time_offset
uint32_t | snd_ts_offset
uint32_t | snd_rand_offset
uint32_t | snd_last_ts
uint32_t | rcv_time_offset
uint32_t | rcv_ts_offset
uint32_t | rcv_query_ts_offset
uint32_t | rcv_last_ts
uint32_t | rcv_last_app_ts
uint32_t | rcv_last_ret_ts
uint32_t | hwrcv_extseq
uint32_t | hwrcv_seq_at_last_SR
uint32_t | hwrcv_since_last_SR
uint32_t | last_rcv_SR_ts
struct timeval | last_rcv_SR_time
uint16_t | snd_seq
uint32_t | last_rtcp_report_snt_r
uint32_t | last_rtcp_report_snt_s
uint32_t | rtcp_report_snt_interval
uint32_t | last_rtcp_packet_count
uint32_t | sent_payload_bytes
unsigned int | sent_bytes
struct timeval | send_bw_start
unsigned int | recv_bytes
struct timeval | recv_bw_start
rtp_stats_t | stats
int | recv_errno
int | send_errno
int | snd_socket_size
int | rcv_socket_size
int | ssrc_changed_thres

The documentation for this struct was generated from the following file:

- /build/jenkins/v2016.12/machine/arietta-g25/build/tmp-angstrom-glibc/work/armv5te-angstrom-linux-gnueabi/ortp/0.16.5-r1.1/ortp-0.16.5/include/ortp/rtpsession.h